about__bp_1 = 480px
about__bp_2 = 675px
about__bp_3 = 820px


.about


    &__content

        margin-top (0.5 * typography__basefont__line_height)


    &__image

        width 100%


    &__text-wrapper

        margin-top typography__basefont__line_height


    &__text

        text-align center


    &__name

        subheading()


    &__bio

        hyphens none
        margin-top (0.5 * typography__basefont__line_height)


    &__institution

        white-space nowrap


    @media (min-width: about__bp_1)


        &__content

            // flex container
            display flex
            flex-direction row
            flex-wrap nowrap
            justify-content space-between
            align-items stretch


        &__image-wrapper

            // flex item
            flex-basis 38.2%
            flex-grow 0
            flex-shrink 0

            max-width 180px

            // overflow
            overflow hidden

            // flex container
            display flex
            justify-content center


        &__image

            width auto
            height 10.5 * typography__basefont__line_height


        &__text-wrapper

            // flex item
            flex-basis auto
            flex-grow 1
            flex-shrink 1

            // distance
            margin-top 0
            margin-bottom -1px
            page_manager__responsive_property(
                margin-left, page_manager__fluid_padding__min, page_manager__fluid_padding__max,
            )

            // flex container
            display flex
            flex-direction column
            flex-wrap nowrap
            justify-content center
            align-items stretch


    @media (min-width: about__bp_2)


        &__image-wrapper

            max-width 250px


    @media (min-width: about__bp_3)


        &__image-wrapper

            max-width none


        &__image

            height 9 * typography__basefont__line_height
